| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Classes | Namespaces | Macros | Enumerations
OgreSkeleton.h File Reference
`#include "OgrePrerequisites.h"`
`#include "OgreResource.h"`
`#include "OgreStringVector.h"`
`#include "OgreAnimation.h"`
`#include "OgreHeaderPrefix.h"`
`#include "OgreSharedPtr.h"`
`#include "OgreHeaderSuffix.h"`

## Classes
struct | Ogre::LinkedSkeletonAnimationSource
| Link to another skeleton to share animations. More...
class | Ogre::Skeleton
| A collection of Bone objects used to animate a skinned mesh. More...

## Namespaces
| Ogre

## Macros
#define | OGRE_MAX_NUM_BONES 256

## Enumerations
enum | Ogre::SkeletonAnimationBlendMode { Ogre::ANIMBLEND_AVERAGE = 0, Ogre::ANIMBLEND_CUMULATIVE = 1 }